Thanks, John! W/o installing epel-release, hiera.yaml error is gone, but os-refresh-config
still complains.
...
Notice: Finished catalog run in 486.52 seconds
+ rc=6
+ set -e
+ echo 'puppet apply exited with exit code 6'
puppet apply exited with exit code 6
+ '[' 6 '!=' 2 -a 6 '!=' 0 ']'
+ exit 6
[2015-11-30 18:25:38,091] (os-refresh-config) [ERROR] during configure phase. [Command
'['dib-run-parts', '/usr/libexec/os-refresh-config/configure.d']'
returned non-zero exit status 6]
[2015-11-30 18:25:38,092] (os-refresh-config) [ERROR] Aborting...
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line
562, in install
_run_orc(instack_env)
File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line
494, in _run_orc
_run_live_command(args, instack_env, 'os-refresh-config')
File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line
325, in _run_live_command
raise RuntimeError('%s failed. See log for details.' % name)
RuntimeError: os-refresh-config failed. See log for details.
Command 'instack-install-undercloud' returned non-zero exit status 1
[stack@gpu6 ~]$ uname -a
Linux
gpu6.east.isi.edu 3.10.0-229.20.1.el7.x86_64 #1 SMP Tue Nov 3 19:10:07 UTC 2015
x86_64 x86_64 x86_64 GNU/Linux
[stack@gpu6 ~]$ dib-run-parts /usr/libexec/os-refresh-config/configure.d
dib-run-parts Mon Nov 30 19:41:30 EST 2015 Running
/usr/libexec/os-refresh-config/configure.d/00-apply-selinux-policy
+ set -o pipefail
+ '[' -x /usr/sbin/semanage ']'
+ semodule -i /opt/stack/selinux-policy/ipxe.pp
semodule: SELinux policy is not managed or store cannot be accessed.
Thanks,
Mikyung
----- Original Message -----
From: "John Trowbridge" <trown(a)redhat.com>
To: "Mikyung Kang" <mkkang(a)isi.edu>, rdo-list(a)redhat.com
Sent: Monday, November 30, 2015 5:11:43 PM
Subject: Re: [Rdo-list] [[RDO-Manager] undercloud install - heiry
On 11/30/2015 02:37 PM, Mikyung Kang wrote:
Hello,
One week ago, I could install undercloud and deploy overcloud successfully.
I'm trying to install undercloud from clean CentOS7.1 OS again using the other
network interface and the other IP range, but I got this error. I didn't get this
before.
...
++ iptables -t nat -N BOOTSTACK_MASQ_NEW
++ NETWORK=192.3.2.0/24
++ iptables -t nat -A BOOTSTACK_MASQ_NEW -s 192.3.2.0/24 -d 192.168.122.1 -j RETURN
++ iptables -t nat -A BOOTSTACK_MASQ_NEW -s 192.3.2.0/24 '!' -d 192.3.2.0/24 -j
MASQUERADE
++ iptables -t nat -A POSTROUTING -s 192.3.2.0/24 -o eth0 -j MASQUERADE
++ iptables -t nat -I POSTROUTING -j BOOTSTACK_MASQ_NEW
++ iptables -t nat -F BOOTSTACK_MASQ
iptables: No chain/target/match by that name.
++ true
++ iptables -t nat -D POSTROUTING -j BOOTSTACK_MASQ
iptables v1.4.21: Couldn't load target `BOOTSTACK_MASQ':No such file or
directory
Try `iptables -h' or 'iptables --help' for more information.
++ true
++ iptables -t nat -X BOOTSTACK_MASQ
iptables: No chain/target/match by that name.
++ true
++ iptables -t nat -E BOOTSTACK_MASQ_NEW BOOTSTACK_MASQ
++ iptables -D FORWARD -j REJECT --reject-with icmp-host-prohibited
+ iptables-save
dib-run-parts Mon Nov 30 14:32:04 EST 2015 80-seedstack-masquerade completed
dib-run-parts Mon Nov 30 14:32:04 EST 2015 Running
/usr/libexec/os-refresh-config/post-configure.d/98-undercloud-setup
+ OK_FILE=/opt/stack/.undercloud-setup
+ '[' -f /opt/stack/.undercloud-setup ']'
+ source /root/tripleo-undercloud-passwords
+++ sudo hiera admin_password
Failed to start Hiera: RuntimeError: Config file /etc/puppetlabs/code/hiera.yaml not
found
This is caused by an update to the hiera package in EPEL.
++ UNDERCLOUD_ADMIN_PASSWORD=
[2015-11-30 14:32:04,503] (os-refresh-config) [ERROR] during post-configure phase.
[Command '['dib-run-parts',
'/usr/libexec/os-refresh-config/post-configure.d']' returned non-zero exit
status 1]
[2015-11-30 14:32:04,503] (os-refresh-config) [ERROR] Aborting...
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py",
line 562, in install
_run_orc(instack_env)
File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py",
line 494, in _run_orc
_run_live_command(args, instack_env, 'os-refresh-config')
File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py",
line 325, in _run_live_command
raise RuntimeError('%s failed. See log for details.' % name)
RuntimeError: os-refresh-config failed. See log for details.
Command 'instack-install-undercloud' returned non-zero exit status 1
...
I just followed RDO step as follows:
sudo useradd stack
sudo passwd stack
echo "stack ALL=(root) NOPASSWD:ALL" | sudo tee -a /etc/sudoers.d/stack
sudo chmod 0440 /etc/sudoers.d/stack
su - stack
sudo hostnamectl set-hostname
gpu6.east.isi.edu
sudo hostnamectl set-hostname --transient
gpu6.east.isi.edu
sudo vim /etc/hosts
sudo yum -y upgrade
sudo yum -y install epel-release
I think we actually do not need EPEL. Could you try without the above step?
sudo yum install -y
http://rdoproject.org/repos/openstack-liberty/rdo-release-liberty.rpm
sudo yum install -y python-tripleoclient
cp /usr/share/instack-undercloud/undercloud.conf.sample ~/undercloud.conf
openstack undercloud install
Could you please help me to resolve this?
Thanks,
Mikyung
_______________________________________________
Rdo-list mailing list
Rdo-list(a)redhat.com
https://www.redhat.com/mailman/listinfo/rdo-list
To unsubscribe: rdo-list-unsubscribe(a)redhat.com